<?php

namespace Litecms\Image;

use User;

class Image
{
    /**
     * $image object.
     */
    protected $image;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Image\Interfaces\ImageRepositoryInterface $image)
    {
        $this->image = $image;
    }

    /**
     * Returns count of image.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.image.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->image->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\ImageUserCriteria());
        }

        $image = $this->image->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('image::' . $view, compact('image'))->render();
    }
}
