<?php

namespace Litecms\Image\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ImageTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Image\Models\Image $image)
    {
        return [
            'id'                => $image->getRouteKey(),
            'key'               => [
                'public'    => $image->getPublicKey(),
                'route'     => $image->getRouteKey(),
            ], 
            'id'                => $image->id,
            'title'             => $image->title,
            'description'       => $image->description,
            'image'             => $image->image,
            'slug'              => $image->slug,
            'status'            => $image->status,
            'created_at'        => $image->created_at,
            'updated_at'        => $image->updated_at,
            'deleted_at'        => $image->deleted_at,
            'url'               => [
                'public'    => trans_url('image/'.$image->getPublicKey()),
                'user'      => guard_url('image/image/'.$image->getRouteKey()),
            ], 
            'status'            => trans('app.'.$image->status),
            'created_at'        => format_date($image->created_at),
            'updated_at'        => format_date($image->updated_at),
        ];
    }
}